/*
 * Copyright 2018 Red Hat, Inc. and/or its affiliates.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.kie.workbench.common.forms.fields.shared.fieldTypes.basic.lists.selector.impl;

import java.util.ArrayList;
import java.util.List;

import org.kie.workbench.common.forms.fields.shared.fieldTypes.AbstractFieldDefinitionTest;

public class StringMultipleSelectorieldDefinitionTest extends AbstractFieldDefinitionTest<StringMultipleSelectorFieldDefinition> {

    @Override
    protected StringMultipleSelectorFieldDefinition getEmptyFieldDefinition() {
        return new StringMultipleSelectorFieldDefinition();
    }

    @Override
    protected StringMultipleSelectorFieldDefinition getFullFieldDefinition() {
        StringMultipleSelectorFieldDefinition fieldDefinition = new StringMultipleSelectorFieldDefinition();

        List<String> values = new ArrayList<>();
        values.add("a");
        values.add("b");

        fieldDefinition.setListOfValues(values);

        fieldDefinition.setAllowClearSelection(false);
        fieldDefinition.setAllowFilter(false);
        fieldDefinition.setMaxDropdownElements(11);
        fieldDefinition.setMaxElementsOnTitle(2);

        return fieldDefinition;
    }
}
